lu.cpp File Reference

Implementation of LU factorisation functions. More...

`#include <itpp/config.h>`
`#include <itpp/base/algebra/lu.h>`
`#include <itpp/base/specmat.h>`

Go to the source code of this file.

## Namespaces

| itpp
| itpp namespace

## Functions

bool | itpp::lu (const mat &X, mat &L, mat &U, ivec &p)
| LU factorisation of real matrix. More...
bool | itpp::lu (const cmat &X, cmat &L, cmat &U, ivec &p)
| LU factorisation of real matrix. More...
void | itpp::interchange_permutations (vec &b, const ivec &p)
| Makes swapping of vector b according to the interchange permutation vector p.
bmat | itpp::permutation_matrix (const ivec &p)
| Make permutation matrix P from the interchange permutation vector p.

## Detailed Description

Implementation of LU factorisation functions.

Author
  Tony Ottosson

Copyright (C) 1995-2010 (see AUTHORS file for a list of contributors)

This file is part of IT++ - a C++ library of mathematical, signal processing, speech processing, and communications classes and functions.

IT++ is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

IT++ is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with IT++. If not, see http://www.gnu.org/licenses/.

Definition in file lu.cpp.

Generated on Sat Sep 30 2017 07:04:09 for IT++ by Doxygen 1.8.13